MPD: PollGroupEPoll Class Reference

MPD 0.20.15

Public Member Functions | Static Public Attributes
PollGroupEPoll Class Reference

`#include <PollGroupEPoll.hxx>`

## Public Member Functions
| PollGroupEPoll ()=default
void | ReadEvents (PollResultEPoll &result, int timeout_ms)
bool | Add (int fd, unsigned events, void *obj)
bool | Modify (int fd, unsigned events, void *obj)
bool | Remove (int fd)
bool | Abandon (gcc_unused int fd)

## Static Public Attributes
static constexpr unsigned | READ = EPOLLIN
static constexpr unsigned | WRITE = EPOLLOUT
static constexpr unsigned | ERROR = EPOLLERR
static constexpr unsigned | HANGUP = EPOLLHUP

## Detailed Description

Definition at line 52 of file PollGroupEPoll.hxx.

## Constructor & Destructor Documentation

## ◆ PollGroupEPoll()

PollGroupEPoll::PollGroupEPoll | ( |  | ) |
| default

## Member Function Documentation

## ◆ Abandon()

bool PollGroupEPoll::Abandon | ( | gcc_unused int | fd | ) |
| inline

Definition at line 84 of file PollGroupEPoll.hxx.

## ◆ Add()

bool PollGroupEPoll::Add | ( | int | fd,
|  | unsigned | events,
|  | void * | obj
| ) |  |
| inline

Definition at line 72 of file PollGroupEPoll.hxx.

## ◆ Modify()

bool PollGroupEPoll::Modify | ( | int | fd,
|  | unsigned | events,
|  | void * | obj
| ) |  |
| inline

Definition at line 76 of file PollGroupEPoll.hxx.

## ◆ ReadEvents()

void PollGroupEPoll::ReadEvents | ( | PollResultEPoll & | result,
|  | int | timeout_ms
| ) |  |
| inline

Definition at line 66 of file PollGroupEPoll.hxx.

## ◆ Remove()

bool PollGroupEPoll::Remove | ( | int | fd | ) |
| inline

Definition at line 80 of file PollGroupEPoll.hxx.

## Field Documentation

## ◆ ERROR

constexpr unsigned PollGroupEPoll::ERROR = EPOLLERR
| static

Definition at line 61 of file PollGroupEPoll.hxx.

## ◆ HANGUP

constexpr unsigned PollGroupEPoll::HANGUP = EPOLLHUP
| static

Definition at line 62 of file PollGroupEPoll.hxx.

## ◆ READ

constexpr unsigned PollGroupEPoll::READ = EPOLLIN
| static

Definition at line 59 of file PollGroupEPoll.hxx.

## ◆ WRITE

constexpr unsigned PollGroupEPoll::WRITE = EPOLLOUT
| static

Definition at line 60 of file PollGroupEPoll.hxx.

The documentation for this class was generated from the following file:

- event/PollGroupEPoll.hxx